### Method

# St PasswordEntry set_show_peek_icon

#### Declaration [src]

    void
    st_password_entry_set_show_peek_icon (
      StPasswordEntry* entry,
      gboolean value
    )

#### Description [src]

Sets whether to show or hide the peek-icon in the password entry. If `TRUE`, a icon button for temporarily unmasking the password will be shown at the end of the entry.

Sets property | `St.PasswordEntry:show-peek-icon`

#### Parameters

`value`

  Type: `gboolean`

  `TRUE` to show the peek-icon in the entry.